Single receiving report
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/receiving-reports/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/receiving-reports/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/receiving-reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"received_date": "2023-11-07T05:31:56Z",
"tracking_number": "<string>",
"received_by": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"shipped_via": "<string>",
"total_quantity": 123,
"total_tax": 123,
"total_cost": 123,
"shipping_cost": 123,
"purchase_orders": [
{
"id": 123,
"order_numbers": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"order_date": "2023-12-25",
"invoice_date": "2023-12-25",
"arrival_due_date": "2023-12-25",
"requested_ship_date": "2023-12-25",
"order_type": 123,
"incoterm": "<string>",
"tracking_info": "<string>",
"payment_terms": "<string>",
"supplier_id": 123,
"item_count": 123,
"order_quantity": 123,
"order_cost": 123,
"total_tax": 123,
"total_shipping_cost": 123,
"total_cost": 123,
"total_paid": 123,
"total_due": 123,
"down_payment": 123,
"public_note": "<string>",
"private_note": "<string>",
"starred": true,
"supplier": {
"id": 123,
"status": 123,
"name": "<string>",
"description": "<string>",
"street_address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"contact_name": "<string>",
"contact_email": "<string>",
"contact_phone": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
],
"items": [
{
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"receiving_report_id": 123,
"purchase_order_id": 123,
"purchase_order_item_id": 123,
"purchase_order_shipment_id": 123,
"quantity": 123,
"unit": "<string>",
"unit_price": 123,
"tax": 123,
"discount_amount": 123,
"discount_percent": 123,
"line_total": 123,
"remarks": "<string>",
"stock_id": 123,
"received_quantity": 123,
"base_unit_of_measure_id": 123,
"received_unit_of_measure_id": 123,
"location_id": 123,
"lot_id": 123
}
],
"extra_costs": [
{
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"receiving_report_id": 123,
"name": "<string>",
"quantity": 123,
"unit_price": 123,
"line_total": 123
}
]
}
}{
"message": "<string>"
}Receiving Reports
Single receiving report
Get details of a specific receiving report by ID
GET
/
receiving-reports
/
{id}
Single receiving report
⌘I